Crypto stocks data API
List, company snapshot, historical market cap and klines for crypto-related listed companies such as MSTR, COIN and miners. For how much BTC a company holds, pair it with the BTC Treasuries module.
- Coverage
- Crypto-related listed companies tracked by SoSoValue
- Snapshot refresh
- 30 seconds
- Klines
- Daily only (interval=1d), last 3 months
- Historical market cap
- Refreshed every minute
Daily candles and volume
$129.30-9.29%Nov 5, 2026 · USD
- Open
- 139.37
- High
- 141.17
- Low
- 123.9
- Close
- 129.3
- Volume
- 26M
Change vs previous close
Static API snapshot · Nov 6, 2026
View sample JSON response
{
"data": [
{
"timestamp": "1791504000000",
"open": "154.215",
"high": "158.11",
"low": "150.5",
"close": "154.34",
"volume": "16042183"
},
{
"timestamp": "1791763200000",
"open": "153.4",
"high": "158.4035",
"low": "150.8407",
"close": "152.68",
"volume": "13157308"
},
{
"timestamp": "1791849600000",
"open": "153.105",
"high": "156.2",
"low": "150.925",
"close": "152.18",
"volume": "12381914"
},
{
"timestamp": "1791936000000",
"open": "149.76",
"high": "152.18",
"low": "141.74",
"close": "143.24",
"volume": "20850077"
},
{
"timestamp": "1792022400000",
"open": "137.74",
"high": "151.33",
"low": "134.892",
"close": "151.29",
"volume": "22287000"
},
{
"timestamp": "1792108800000",
"open": "145.95",
"high": "146.83",
"low": "134.11",
"close": "136.83",
"volume": "31969955"
},
{
"timestamp": "1792368000000",
"open": "139.13",
"high": "141.1",
"low": "135.8",
"close": "136.02",
"volume": "11934535"
},
{
"timestamp": "1792454400000",
"open": "133.75",
"high": "146.75",
"low": "133.595",
"close": "142.72",
"volume": "18535021"
},
{
"timestamp": "1792540800000",
"open": "146.3",
"high": "155.69",
"low": "143.93",
"close": "153.48",
"volume": "22587340"
},
{
"timestamp": "1792627200000",
"open": "145.03",
"high": "149.4",
"low": "143.41",
"close": "145.8",
"volume": "20600157"
},
{
"timestamp": "1792713600000",
"open": "144.43",
"high": "152.21",
"low": "144.205",
"close": "146.01",
"volume": "18575760"
},
{
"timestamp": "1792972800000",
"open": "141.665",
"high": "144.7",
"low": "137.26",
"close": "139.82",
"volume": "15709632"
},
{
"timestamp": "1793059200000",
"open": "140.075",
"high": "142",
"low": "138.69",
"close": "141.4",
"volume": "10777683"
},
{
"timestamp": "1793145600000",
"open": "139.6",
"high": "145.3",
"low": "138.665",
"close": "145.16",
"volume": "12207333"
},
{
"timestamp": "1793232000000",
"open": "141.65",
"high": "144.76",
"low": "138.88",
"close": "141.62",
"volume": "13375040"
},
{
"timestamp": "1793318400000",
"open": "131.7",
"high": "134.51",
"low": "124.06",
"close": "130.51",
"volume": "34010946"
},
{
"timestamp": "1793577600000",
"open": "132.22",
"high": "137.3",
"low": "129.34",
"close": "130.76",
"volume": "13341993"
},
{
"timestamp": "1793664000000",
"open": "131.51",
"high": "138.41",
"low": "131.09",
"close": "135.63",
"volume": "11592338"
},
{
"timestamp": "1793750400000",
"open": "136.6",
"high": "146.07",
"low": "135.8",
"close": "142.54",
"volume": "18878189"
},
{
"timestamp": "1793836800000",
"open": "139.37",
"high": "141.17",
"low": "123.895",
"close": "129.3",
"volume": "26116063"
}
]
}Endpoints
cURL (any language that can send an HTTP request)
curl "https://openapi.sosovalue.com/openapi/v1/crypto-stocks/MSTR/market-snapshot" \
-H "x-soso-api-key: $SOSO_API_KEY"
# v1 envelope: {"code": 0, "message": "success", "data": ...}
# code 0 means success; data fields are listed in the table belowResponse fields
GET /openapi/v1/crypto-stocks/{stock_ticker}/market-snapshot| Field | Type | Unit | Description |
|---|---|---|---|
| timestamp | number | — | Data timestamp |
| ticker | string | — | Stock ticker |
| mkt_price | number | USD | Market price |
| mkt_status | string | — | PRE_MARKET / TRADING / AFTER_HOURS / OVERNIGHT / CLOSED; treat as an open set |
| volume / turnover | number | shares / USD | Trading volume and value |
| circulating_marketcap / total_marketcap | number | USD | Market cap |
| total_shares / circulating_shares | number | shares | Shares outstanding |
| pe_ttm / pb | number | — | Trailing P/E and price-to-book |